unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}

function GetTempDossier: String;
{-----------------------------------------------------------------------------------}
{renvoie le dossier "temporaire de Windows"                                         }
{ cette fonction renvoie :le dossier temporaire en fonction des critres suivants:  }
{1.	le chemin spcifi par la variable d'environement TMP                       }
{2.	le chemin spcifi par la variable d'environement TEMP  si TMP non dfini   }
{3.	le dossier courant si aucune des deux variables TMP et TEMP ne sont dfinies}
{-----------------------------------------------------------------------------------}
var
  Dossier: array[0..MAX_PATH] of Char;
begin
  result:='';
  if GetTempPath(SizeOf(Dossier), Dossier)<>0 then Result := StrPas(Dossier);
end;

Function GetWindowsDossier :string;
{Pour obtenir le dossier de Windows}
var
  Dossier: ARRAY [0..MAX_PATH] OF Char;
begin
  if GetWindowsDirectory (Dossier,SizeOf(Dossier))<>0 then Result:=String(Dossier);
end;


Function GetSystemDossier :string;
{Pour obtenir le dossier de Windows}
var
  Dossier: ARRAY [0..MAX_PATH] OF Char;
begin
  if GetSystemDirectory (Dossier,SizeOf(Dossier))<>0 then Result:=String(Dossier);
end;



procedure TForm1.Button1Click(Sender: TObject);
begin
  ShowMessage('le dossier temporaire est : '+ GetTempDossier);
  ShowMessage('le dossier de Windows est : '+ GetWindowsDossier);
  ShowMessage('le dossier system est : '+ GetSystemDossier);  
end;

end.








